commit: 4dedb337a1f9c9cf8d8f3cffc7dab59313aeb6d4
Author: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 24 20:43:13 2025 +0000
Commit: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Tue Mar 25 06:53:13 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4dedb337
x11-misc/zim: add 0.76.2
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>
x11-misc/zim/Manifest | 1 +
x11-misc/zim/zim-0.76.2.ebuild | 86 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 87 insertions(+)
diff --git a/x11-misc/zim/Manifest b/x11-misc/zim/Manifest
index 61b9835cb4f7..837068f4673e 100644
--- a/x11-misc/zim/Manifest
+++ b/x11-misc/zim/Manifest
@@ -1 +1,2 @@
DIST zim-0.76.1.tar.gz 3369893 BLAKE2B
7a5e7857b8785d593150ef01eca749dd5de9c1a7a70a208a12ae4bd56de59aa2552d93bfc9f302c3c7507a5b19deea353b56611befd2e19e6ed0ea047ddab649
SHA512
a6ca8bd93dede9b1b8a91133bbfa414f67fd9c4dc80ac8bd20df224a494268aad2d4ca0563076859a034835c2396e7550a01d185aba1abb5d9512d8fcbdcf7e3
+DIST zim-0.76.2.tar.gz 3373891 BLAKE2B
2faca4a632004f05516c1349682caa00a8e2a3858593f44266afa80fd1d1eee216af5bed6828a7d58148a264e3f7238cda0466e92c132a37dd0c362d4ab1a69e
SHA512
7d834e2dd65faa31b9a9d6353e2462993114949f44387a90c8f7fab4a16fafca56886f41391d258118a6cd01e6394261628cdf3b9b3d76d9c85873924836edbb
diff --git a/x11-misc/zim/zim-0.76.2.ebuild b/x11-misc/zim/zim-0.76.2.ebuild
new file mode 100644
index 000000000000..bc5254db5c21
--- /dev/null
+++ b/x11-misc/zim/zim-0.76.2.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..13} )
+PYTHON_REQ_USE="sqlite"
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+VIRTUALX_REQUIRED=test
+inherit distutils-r1 optfeature virtualx xdg
+
+DESCRIPTION="A desktop wiki"
+HOMEPAGE="
+ https://zim-wiki.org/
+ https://github.com/zim-desktop-wiki/zim-desktop-wiki
+"
+SRC_URI="https://github.com/${PN}-desktop-wiki/${PN}-desktop-wiki/archive/${PV/_/-}.tar.gz
-> ${P}.tar.gz"
+S=${WORKDIR}/${PN}-desktop-wiki-${PV/_/-}
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~riscv ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ ')
+ x11-libs/gtk+:3[introspection]
+ x11-misc/xdg-utils
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.md PLUGIN_WRITING.md README.md )
+PATCHES=( "${FILESDIR}"/${PN}-0.60-remove-ubuntu-theme.patch )
+
+python_prepare_all() {
+ if [[ ${LINGUAS} ]]; then
+ local lingua
+ for lingua in translations/*.po; do
+ lingua=${lingua/.po}
+ lingua=${lingua/translations\/}
+ has ${lingua} ${LINGUAS} || \
+ { rm translations/${lingua}.po || die; }
+ done
+ fi
+
+ distutils-r1_python_prepare_all
+ export XDG_RUNTIME_DIR=fakethis
+}
+
+python_compile() {
+ sed -e "s#./build#${BUILD_DIR}/build#" -i setup.py || die
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ if has_version dev-vcs/git; then
+ git config --global user.email "[email protected]" || die
+ git config --global user.name "GitExample" || die
+ fi
+
+ virtx ./test.py
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ insinto /usr/share/icons
+ doins -r xdg/hicolor
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "Spell checker" app-text/gtkspell[introspection]
+ optfeature "GNU R Plot Editor" dev-lang/R
+ optfeature "Version control Bazaar support" dev-vcs/breezy
+ optfeature "Diagram Editor" media-gfx/graphviz
+ optfeature "Insert Screenshot" "media-gfx/imagemagick media-gfx/scrot"
+ optfeature "Score Editor" media-sound/lilypond
+ optfeature "Gnuplot Editor" sci-visualization/gnuplot
+ optfeature "Equation Editor" virtual/latex-base app-text/dvipng
+}